<template>
  <dibs-layout
    layout="two-columns"
    :with-navbar="true"
    :with-synthesis-link="true"
    :alternate="true"
    :page="'synthesis'"
    class="dibs-synthesis"
  >
    <template #aside-header>
      <div class="dibs-synthesis--aside--header">
        <h1>Mes données</h1>
        <div class="dibs-synthesis--aside--header--actions">
          <dibs-input-help><dibs-picto-print /></dibs-input-help>
          <dibs-input-help><dibs-picto-dl /></dibs-input-help>
        </div>
      </div>
    </template>
    <template #aside-content>
      <div class="dibs-synthesis--aside--content">
        <dl class="dibs-synthesis--aside--data">
          <dt>Prénom Nom</dt>
          <dd>Béatrice Muller</dd>
          <dt>Date&nbsp;de&nbsp;naissance / Age</dt>
          <dd>01.02.1982 / 40&nbsp;ans et 9&nbsp;mois</dd>
          <dt>N°&nbsp;AVS</dt>
          <dd>756.1234.5678.92</dd>
          <dt>Etat&nbsp;civil / Date&nbsp;mariage</dt>
          <dd>Marié.e / 17.01.2007</dd>
          <dt>Date de naissance du partenaire</dt>
          <dd>04.02.1983</dd>
          <dt>Enfant&nbsp;1 / Date&nbsp;de&nbsp;naissance</dt>
          <dd>21.01.2010</dd>
        </dl>
        <div class="dibs-synthesis--aside--footer">
          <dibs-input-help :full-width="true">
            Simuler mes changements des données
          </dibs-input-help>
        </div>
      </div>
    </template>
    <template #content>
      <div class="dibs-synthesis--content">
        <dibs-input-help
          class="dibs-synthesis--settings"
          :no-border="true"
          :is-round="true"
          @click="$router.push('synthesis2')"
        >
          <dibs-picto-settings :is-round="true" />
        </dibs-input-help>
        <dibs-partials-synthesis-block
          title="Rentes & capitaux"
          info="Sans<br/> changement"
          :with-help="false"
          :data="{
            0: {
              label: 'Total rentes mensuelles',
              value: '5’324.50',
            },
            1: {
              label: 'Capitaux vieillesse',
              value: '36’435.-',
            },
          }"
        />
        <dibs-partials-synthesis-block
          title="Rente de vieillesse étatique (LAVS - 1er pilier)"
          :hide-info="true"
          info="Sans<br/> changement"
          :data="{
            0: {
              label: 'Rente mensuelle AVS prévisionnelle',
              hint: 'du 01.03.2047 au 29.02.2048',
              value: '2’122.-',
            },
            1: {
              label:
                'Votre conjoint.e une rente de veillesse étatique dès le 01.03.2048',
            },
            2: {
              label:
                'Modification de la rente dès la retraite de votre conjoint.e',
              hint: 'à partir du 01.03.2048',
              value: '2’122.-',
            },
          }"
        />
        <dibs-partials-synthesis-block
          title="Rente de veillesse professionelle (LPP - 2ème pilier)"
          :hide-info="true"
          info="Sans<br/> changement"
          :data="{
            arena: {
              label: 'Arena fondation - Rente mensuelle prévisionnelle ',
              hint: 'à partir du 01.03.2047',
              value: '3’202.50',
            },
          }"
          action="Ajouter une autre caisse de pension"
        />
        <dibs-partials-synthesis-block
          title="Prévoyance privée (3ème pilier - 3a)"
          :hide-info="true"
          info="Sans<br/> changement"
          :data="{
            0: {
              label: 'UBS - Solde en votre faveur',
              label2: 'Versement mensuelle jusqu’au 01.03.2047',
              value: '10’000.-',
              value2: '1’000.-',
              isSmall: true,
            },
          }"
          action="Ajouter un autre 3ème pilier"
          :summary="{
            label: 'Capitaux vieillesse projetés',
            value: '36’435.-',
            hint: 'à partir du 01.03.2047',
          }"
        />
      </div>
    </template>
  </dibs-layout>
</template>
<script>
export default {
  name: 'IndexPage',
  layout: 'dibs',
  data() {
    return {}
  },
  methods: {},
}
</script>
